// ---------------------------------------------------------------
// module  : frm_ntsg_const.h
// purpose : conveninence, this header includes misc constants useful
//           for NTSG image processing. Called by frm_api.h
// dependencies : env vars FRM_API_INC and FRM_API_LIB must now be defined
// revised : v1.9.2-2017-05-18t17:54:00, added optional frm_ntsg_const.h
// author  : joe glassy, Lupine Logic Inc.
// notes   : TBD
// ---------------------------------------------------------------

#ifndef FRM_NTSG_CONST_DEF

#define FRM_NTSG_CONST_DEF    1

#define FRM_API_EASEGRID_1KM_ROWS       14616
#define FRM_API_EASEGRID_1KM_COLS       34704
#define FRM_API_EASEGRID_1KM_PIXELS 507233664 
#define FRM_API_EASEGRID_3KM_ROWS       4872
#define FRM_API_EASEGRID_3KM_COLS      11568
#define FRM_API_EASEGRID_3KM_PIXELS 56359296
#define FRM_API_EASEGRID_9KM_ROWS       1624
#define FRM_API_EASEGRID_9KM_COLS       3856
#define FRM_API_EASEGRID_9KM_PIXELS  6262144
#define FRM_API_MODIS_1KM_ROWS         21600
#define FRM_API_MODIS_1KM_COLS         43200
#define FRM_API_MODIS_1KM_PIXELS   933120000
#define FRM_API_MODIS_NS_TILES            18
#define FRM_API_MODIS_EW_TILES            36
#define FRM_API_EASEGRID2_LDOM1KM   134787240  
#define FRM_API_EASEGRID2_LDOM3KM    14976360
#define FRM_API_EASEGRIDG2_LDOM9KM    1664040

#endif
